Skip to main content
`Ctrl`+`K`

# DMPlexConstructGhostCells

Construct ghost cells which connect to every boundary face

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexConstructGhostCells(DM dm, const char labelName[], PetscInt *numGhostCells, DM *dmGhosted)

Collective

## Input Parameters

- dm - The original `DM`

- labelName - The label specifying the boundary faces, or “Face Sets” if this is `NULL`

## Output Parameters

- numGhostCells - The number of ghost cells added to the `DM`

- dmGhosted - The new `DM`

## Note

If no label exists of that name, one will be created marking all boundary faces

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMCreate()`

## Level

developer

## Location

src/dm/impls/plex/plexsubmesh.c

## Examples

src/ts/tutorials/ex11_sa.c
src/ts/tutorials/ex18.c
src/ts/tutorials/ex11.c

## Implementations

DMPlexConstructGhostCells_Internal() in src/dm/impls/plex/plexsubmesh.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages